Export shipments as CSV

Returns a CSV file with one row per item of your shipments whose
range_type date falls between start_date and end_date. Use
your own user ID in the path.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of your byrd account (UUID); any other account answers 404.

Query Params
date

First day of the export period (YYYY-MM-DD, inclusive). Defaults to 30 days before end_date. The period can be at most 365 days.

date

Last day of the export period (YYYY-MM-DD, inclusive). Defaults to today and cannot be in the future.

string
enum
Defaults to created-date

Shipment date that start_date and end_date apply to. Defaults to created-date.

  • created-date: when the shipment was created
  • packaged-date: when the shipment was packed
  • shipped-date: when the shipment was sent
  • returned-date: when the shipment was returned
Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json